---
layout: global
title: Upgrading from 1.x to 2.x
nickname: Upgrading from 1.x to 2.x
group: Operations
priority: 15
---

This document goes over how to upgrade from Alluxio 1.x to Alluxio 2.x

## Upgrade to 1.8.1 and create a backup

alluxio-1.8.1 introduced a journal backup feature. With a 1.8.1 master running,
create a journal backup by running

```console
$ ./bin/alluxio fsadmin backup
```

This will print something like

```
Successfully backed up journal to ${BACKUP_PATH}
```

`${BACKUP_PATH}` will be determined by the date, and the configuration of your
journal.

## Upgrade to 2.x and start from backup

Next, download and untar alluxio-2.x. First format the cluster with

```console
$ ./bin/alluxio format
```

Then start the cluster with the `-i ${BACKUP_PATH}` argument, replacing
`${BACKUP_PATH}` with your specific backup path.

```console
$ ./bin/alluxio-start.sh -i ${BACKUP_PATH} all
```

## Upgrade Clients and Servers

Alluxio 2.x makes significant changes in the RPC layer,
so pre-2.0.0 clients do not work with post-2.0.0 servers, and vice-versa.
Upgrade all applications to use the alluxio-2.x client.
